Bug 218900 - gedit shares process across desktops for same user
gedit shares process across desktops for same user
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-07 23:58 EST by Jens Petersen
Modified: 2008-04-10 03:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 03:13:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 360792 None None None Never

  None (edit)
Description Jens Petersen 2006-12-07 23:58:40 EST
Description of problem:
gedit uses the same process when run on different desktops (X sessions)
by the same user.  This doesn't work will with gtk immodules and also
seems somewhat unintuitive for users anyway.

Further if you try to run gedit as root (with su) on two different
desktop, the second invocation causes gedit to crash.

Steps to Reproduce:
1. su -c gedit on :0
2. su -c gedit on :1
  
Actual results:
- gedit crashes

Expected results:
- no crash
- gedit to use one process per display

Additional info:
This problem has existed for a good while.
Comment 2 Ray Strode [halfline] 2007-04-02 15:37:38 EDT
Bastien, should gedit be appending the display to the string it passes to
bacon_message_connection_new () ?
Comment 3 Bastien Nocera 2007-04-03 13:06:51 EDT
The upstream patch looks fine to me:
http://bugzilla.gnome.org/attachment.cgi?id=78197&action=view

There's already support for multi-head in gedit, it was fixed in 2.14 at
http://bugzilla.gnome.org/show_bug.cgi?id=333129
Comment 4 Bug Zapper 2008-04-03 14:46:14 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Jens Petersen 2008-04-10 03:13:24 EDT
Hmm, seems better now anyway.

Note You need to log in before you can comment on or make changes to this bug.